#include <stdio.h>
#include <stdlib.h>

int main()
{
    printf("Unesi duzine nizova\n");
    int n;
    scanf("%d", &n);
    int a[n], b[n];
    printf("Unesi niz a\n");
    for(int i = 0; i < n; i++)
        scanf("%d", &a[i]);
    printf("Unesi niz b\n");
    for(int i = 0; i < n; i++)
        scanf("%d", &b[i]);
    int max = 0, proizvod = 1;
    for(int l = 0; l < n; l++)
    {
        int iiA = 0;
        int iB = b[l];
        for(int r = l; r < n; r++)
        {
            iiA = iiA ^ a[r];
            iB = iB & b[r];
            proizvod = iiA * iB;
            if (proizvod > max)
                max = proizvod;
        }
    }
    printf("Najveca vrednost je %d", max);
    return 0;
}